# Organization API: Org Staff Notices

> Every Organization API operation tagged Org Staff Notices.

Source: https://docs.coritan.com/api/reference/organizations/org-staff-notices/

Base URL: `https://api.coritan.com/api/v1`. Paths below are complete.

To try these requests in the browser, open the [interactive Organization API reference](https://api.coritan.com/docs/org).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/staff/notices`](#op-get-api-v1-orgs-org-slug-staff-notices) | Staff list notices |
| POST | [`/api/v1/orgs/{org_slug}/staff/notices`](#op-post-api-v1-orgs-org-slug-staff-notices) | Staff create notice |
| PATCH | [`/api/v1/orgs/{org_slug}/staff/notices/{notice_id}`](#op-patch-api-v1-orgs-org-slug-staff-notices-notice-id) | Staff patch notice |
| DELETE | [`/api/v1/orgs/{org_slug}/staff/notices/{notice_id}`](#op-delete-api-v1-orgs-org-slug-staff-notices-notice-id) | Staff delete notice |
| POST | [`/api/v1/orgs/{org_slug}/staff/notices/{notice_id}/updates`](#op-post-api-v1-orgs-org-slug-staff-notices-notice-id-updates) | A line on the timeline |

### Staff list notices {#op-get-api-v1-orgs-org-slug-staff-notices}

`GET /api/v1/orgs/{org_slug}/staff/notices`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `status` | query | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff create notice {#op-post-api-v1-orgs-org-slug-staff-notices}

`POST /api/v1/orgs/{org_slug}/staff/notices`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `kind` | string | no |
| `title` | string | yes |
| `body` | string or null | no |
| `audience` | string | no |
| `placement` | string | no |
| `status` | string | no |
| `starts_at` | string (date-time) or null | no |
| `ends_at` | string (date-time) or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff patch notice {#op-patch-api-v1-orgs-org-slug-staff-notices-notice-id}

`PATCH /api/v1/orgs/{org_slug}/staff/notices/{notice_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `notice_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `kind` | string or null | no |
| `title` | string or null | no |
| `body` | string or null | no |
| `audience` | string or null | no |
| `placement` | string or null | no |
| `status` | string or null | no |
| `starts_at` | string (date-time) or null | no |
| `ends_at` | string (date-time) or null | no |
| `clear_starts_at` | boolean | no |
| `clear_ends_at` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff delete notice {#op-delete-api-v1-orgs-org-slug-staff-notices-notice-id}

`DELETE /api/v1/orgs/{org_slug}/staff/notices/{notice_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `notice_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### A line on the timeline {#op-post-api-v1-orgs-org-slug-staff-notices-notice-id-updates}

`POST /api/v1/orgs/{org_slug}/staff/notices/{notice_id}/updates`

A line on the timeline. ``resolved`` also resolves the notice.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `notice_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `state` | string | no |
| `body` | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
